Webhook Endpoints
Get webhook log
Developer API operation for GET /dev/v1/webhooks/logs/.
GET
/
dev
/
v1
/
webhooks
/
logs
/
{id}
Get webhook log
curl --request GET \
--url https://api.shoppex.io/dev/v1/webhooks/logs/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.shoppex.io/dev/v1/webhooks/logs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.shoppex.io/dev/v1/webhooks/logs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shoppex.io/dev/v1/webhooks/logs/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.shoppex.io/dev/v1/webhooks/logs/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "22222222-2222-4222-8222-222222222222",
"uniqid": "22222222-2222-4222-8222-222222222222",
"webhook_uniqid": "11111111-1111-4111-8111-111111111111",
"event_type": "payment:completed",
"url": "https://example.com/webhook",
"payload": {
"foo": "bar"
},
"request_headers": {
"x-test": "1"
},
"response": {
"ok": true
},
"response_headers": {
"server": "test"
},
"status": "failed",
"status_code": 500,
"attempt": 2,
"duration_ms": 321,
"error_message": "Boom",
"created_at": 1700000000,
"delivered_at": null
}
}⌘I
Get webhook log
